Skip to content

Get FAQ list (AI insights)

GET
/ai_insights

Retrieve a list of AI insights (FAQ questions)

Authorizations

ApiKeyAuth

API key authentication. Format: cpt_{env}v1{random}_{checksum}. Example: cpt_prod_v1_xxxxxxxxxx_xx

Type
API Key (header: X-CP-TERMINAL-API-KEY)

Parameters

Query Parameters

lang

Language code

Type
string
Valid values
"en""ja""zh"
Example"en"
Default
"en"
limit

Maximum number of questions to return

Type
integer
Example4
Minimum
1
Default
4

Responses

Successful response

application/json
JSON
{
  
"code": 0,
  
"message": "ok",
  
"data": [
  
  
{
  
  
  
"id": 1,
  
  
  
"key": "market_price_sentiment",
  
  
  
"question": "What is the Current Market Sentiment?",
  
  
  
"lang": "en"
  
  
}
  
]
}

Playground

Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI